org.apache.tinkerpop.gremlin.structure

## Class PropertyTest.PropertyValidationOnSetExceptionConsistencyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.PropertyTest.PropertyValidationOnSetExceptionConsistencyTest

- Enclosing class:
    PropertyTest

      public static class PropertyTest.PropertyValidationOnSetExceptionConsistencyTest
      extends AbstractGremlinTest

  Checks that properties added to an `Element` are validated in a consistent way when they are set after `Vertex` or `Edge` construction by throwing an appropriate exception.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Exception` | `expectedException`
    `String` | `key`
    `String` | `name`
    `String` | `val`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValidationOnSetExceptionConsistencyTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldThrowOnGraphEdgeSetPropertyStandard()`
    `void` | `testGraphVertexSetPropertyStandard()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### key

          public String key

    - #### val

          public String val

    - #### expectedException

          public Exception expectedException

  - ### Constructor Detail

    - #### PropertyValidationOnSetExceptionConsistencyTest

          public PropertyValidationOnSetExceptionConsistencyTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### testGraphVertexSetPropertyStandard

          public void testGraphVertexSetPropertyStandard()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldThrowOnGraphEdgeSetPropertyStandard

          public void shouldThrowOnGraphEdgeSetPropertyStandard()
                                                         throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.